Subject: Re: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively

From: Heime <[email-masked]>
Date: Sun, 20 Aug 2023 06:23:59 +0000

------- Original Message -------
On Sunday, August 20th, 2023 at 6:12 PM, Michael Heerdegen <[email-masked]> wrote:

> Heime via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" [email-masked] writes:
> 
> > Can there be the option to place an item from the collection (call it
> > 'INITIAL', 'DEF', 'WHATEVER')
> > that appears as soon as `completing-read` is called ?
> 
> 
> If I understand correctly and you want still want to start with a
> prefilled minibuffer: you can still achieve this by using
> `minibuffer-with-setup-hook' - like in
> 
> #+begin_src emacs-lisp
> (minibuffer-with-setup-hook (lambda () (insert "BBB"))
> (completing-read "Input: " (list "AAA" "BBB" "CCC")))
> #+end_src
> 
> Michael.

How complicated my friend from the old single call to 'completing-read'.
I cannot use such thing in all my interactive call functions.  I have seen
so many deliberation about keeping existing functionality  for the old chaps,
yet showing complete disregard on such possibilities on this refilled minibuffer
capability.

The claim that life is too short to give a fuck does not abode well.